Subject: Re: net_test_tools: add ipv6 support for kbench_mod

From: Daniel Borkmann <[email-masked]>
Date: Fri, 23 Jan 2015 10:55:41 +0100

On 01/22/2015 11:12 PM, Shaohua Li wrote:
...
>>> Yes, we need export the sysmbol for the test. Can we export the symbol?
>>> or I can delete the route input test, which one do you prefer?
>>
>> There is no justification upstream to export that symbol since
>> there are no modular users in-tree.
>
> I changed it to do the ip6_route_input test optionally. If the test is
> required, somebody should change the kernel to export it and define
> HAVE_IP6_ROUTE_INPUT in the test module. I thought this is fine for a
> test module. How do you think?

See above, it can only be changed/exported from the kernel as long as
there is an in-tree module making use of it.